"""Added geoinfo into users sessions

Revision ID: bb9423fd26b4
Revises: 8b7d49779ac8
Create Date: 2023-10-22 08:19:13.793667

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "bb9423fd26b4"
down_revision: Union[str, None] = "8b7d49779ac8"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "usersession", sa.Column("country_iso_code", sa.String(length=3), nullable=True)
    )
    op.add_column(
        "usersession", sa.Column("country_name", sa.String(length=255), nullable=True)
    )
    op.add_column(
        "usersession", sa.Column("city_name", sa.String(length=255), nullable=True)
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("usersession", "city_name")
    op.drop_column("usersession", "country_name")
    op.drop_column("usersession", "country_iso_code")
    # ### end Alembic commands ###
